unit Display; {pro Turbo Pascal 7.0 - verze 12/97}

{ ZKLADN podpora prce s "ovladaem esk obrazovky" DISPLAY.SYS.

  Umouje: - detekovat DISPLAY.SYS
            - zjistit aktivn kdovou strnku
            - nastavit (pipravenou) kdovou strnku

  Testovno: MS-DOS 6.22, MS-DOS 7.1 (Windows 95 CZ Rel. 2).

  Znm chyby: Je-li aktivn "KEYB.COM CZ" a pokuste se pomoc SetCP
               nastavit kdovou strnku, nekompatibiln s eskou klvesnic
               (nap. 437), nastaven se provede, ale GetCP (a stejn nap.
               "MODE CON") stle hls pvodn hodnotu (tj. 852). Nejsem si
               ale jist, zda je to chyba moje nebo Gatese. :-)

  Pehled zmn: 12/97 zkladn verze sepsan podle Interrupt Listu 53

Ŀ
 UPOZORNN: Tento soubor je PUBLIC DOMAIN, take si s nm mete dlat, 
 co chcete (teba vytisknout a povsit na ze:-), ale NA VLASTN RIZIKO. 


                                  Michal Jungmann <jungmann@braillnet.cz> }

interface

function Test: Boolean;  {TRUE pokud je DISPLAY.SYS v pamti}
function GetCP: Word;    {vrac aktivn kdovou strnku nebo $FFFF,
                          nebyla-li nastavena}
function SetCP(codePage: Word): Boolean;
                         {nastav kdovou strnku, TRUE pokud se podailo,
                          FALSE nen-li pipravena}


implementation

function Test: Boolean; assembler;
asm
 mov AX, $AD00
 int $2F
 cmp AL, $FF
 mov AL, 00
 jnz @End
 inc AL
@End:
end; {Test}

function GetCP: Word; assembler;
asm
 mov AX, $AD02
 int $2F
 mov AX, BX
end; {GetCP}

function SetCP(codePage: Word): Boolean; assembler;
asm
 mov AX, $AD01
 mov BX, codePage
 int $2F
end; {SetCP} {Zmrn zde nen testovn CF - je-li instalovn "KEYB.COM CZ"
              (viz ve), vrac se CF nastaven, akoliv obrazovka byla
              zmnna - indikuje tak to, e zmna nebyla registrovna pro
              funkci GetCP. M ovem zajm to, co je na obrazovce, a ne to,
              co si o tom DOS mysl...:-}

end. {of unit}